Bug 1771507 - After 6.6 to 6.7 upgrade sync status detail page get broken with message like "Couldn't find Katello::Repository without an ID"
Summary: After 6.6 to 6.7 upgrade sync status detail page get broken with message like...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Sync Plans
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-12 13:59 UTC by Devendra Singh
Modified: 2020-04-14 13:27 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-katello-3.14.0-0.4.rc2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28291 Normal Closed After 6.6 to 6.7 upgrade sync plan detail page get broken with message like "Couldn't find Katello::Repository without a... 2020-06-06 17:34:31 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:20 UTC

Description Devendra Singh 2019-11-12 13:59:10 UTC
Description of problem: After 6.6 to 6.7 upgrade sync plan detail page get broken with the message like "Couldn't find Katello::Repository without an ID"


Version-Release number of selected component (if applicable):
6.7

How reproducible:
1/1

Steps to Reproduce:
1. Prepared the setup to perform upgrade from 6.6 to 6.7
2. Created all the required repository to perform the upgrade operation
3. Unlock the foreman-maintain packages installation to perform the yum update
4. Trigger yum update
5. yum update completed successfully
6. Executed satellite upgrade "satellite-installer --scenario satellite --upgrade"
7- Upgrade get completed successfully.
8- Login via UI and go to the sync status tab and expand the details to get a lot of unexpected messages.

Actual results:
Sync status details page get broken

Expected results:
Sync status details page should not be broken.

Additional info:

Comment 8 Samir Jha 2019-11-18 18:23:30 UTC
Created redmine issue http://projects.theforeman.org/issues/28291 from this bug

Comment 10 Bryan Kearney 2019-11-19 19:01:46 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28291 has been resolved.

Comment 14 errata-xmlrpc 2020-04-14 13:27:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.